Subject: Re: [bitcoindev] Re: Adding New BIP Editors

From: Antoine Riard <[email-masked]>
Date: Wed, 24 Apr 2024 23:42:56 -0700 (PDT)

Hi AJ,

> When choosing personnel, asking for public objections is probably a
> pretty bad approach. It's hurtful to the person being objected to, both
> when the objections are accurate and when they aren't, and, especially
> if the objections end up being ignored, it's harmful to the working
> environment when the person who objected has to work with the person
> they objected to in future.
>
> Personally, I'd suggest focussing more on "are they demonstrably doing
> useful work? yes, then they keep or increase their perms; no, then
> decrease their perms". (Probably couldn't have done anything different
> this time around, but maybe something to keep in mind for the future)

> Along those lines, it might be worth having a review in six months or
> so to see which of the editors and processes have been effective, and
> which ones haven't, and see if there's anything worth changing further
> to increase the wins and diminish the losses. Could be worth making
> something like that a regular thing (once a year?); for the Debian
> Technical Committee, we had somewhat similar problems with inactivity
> and a lack of renewal, which (IMO) was fixed in a big part just by
> having a policy of saying "okay, longest serving member gets booted,
> remaining folks should invite someone new" once a year.

I'm respectfully dissenting here. Decade(s)-old IETF / BIP standards
are kinda open-source commons after-all, and this is very expected than
someone who is aspiring to get perms in their maintenance have to answer
objections from the non-permissioned people enjoying  usage of the
commons.

Yes, it can hurt to have to answers public objections on your person
when you're aspiring to open-source perms. I think that's part of the
process, if you wish a comfortable job you can always go to work at
$YOUR_LOCAL_BIG_TECH (tm). Additionally, one can wish to be sure
that the candidate have sufficient level of ethics / personal integrity.
Especially, to serve as a check-and-balance when one has to conduct
privileged actions in the execution of permissions.

W.r.t, I can only invite anyone to read the ACM Code of Ethics:
https://www.acm.org/code-of-ethics

(Far from perfect as ethics is a dynamic concept after-all, though can
provide guidelines if you're entitled with perms in this space, and you
don't know how to act in a given instance).

Apart of that, I think the idea of the longest serving members in a
set of maintainers / editors without substantial activity getting booted
every X and remaining folks can invite someone new can serve as a not
so bad rule of thumb.

To conclude, I'm rejoicing too on seeing concrete results in the nomination
of BIP editors, which doesn't forbid ulterior discussions on improving its
process.

Best,
Antoine

Le mercredi 24 avril 2024 à 16:36:38 UTC+1, Anthony Towns a écrit :

> On Sat, Apr 20, 2024 at 07:14:34PM +0000, 'Ava Chow' via Bitcoin 
> Development Mailing List wrote:
> > Since we're now past the deadline of April 19th, I'd like to inform
> > everyone of what will happen on Monday.
> >
> > There has not been any actual objections to the nominees nor have there
> > been any suggestions on choosing a subset of them since my last email.
> > As such, there is rough consensus on adding Kanzure, Murch, Jonatack,
> > Ruben, and Roasbeef as BIP editors, and they will be added on Monday
> > April 22nd.
>
> Thanks for pushing this forward, Ava!
>
> One thing though:
>
> > There has not been any actual objections to the nominees nor have there
>
> When choosing personnel, asking for public objections is probably a
> pretty bad approach. It's hurtful to the person being objected to, both
> when the objections are accurate and when they aren't, and, especially
> if the objections end up being ignored, it's harmful to the working
> environment when the person who objected has to work with the person
> they objected to in future.
>
> Personally, I'd suggest focussing more on "are they demonstrably doing
> useful work? yes, then they keep or increase their perms; no, then
> decrease their perms". (Probably couldn't have done anything different
> this time around, but maybe something to keep in mind for the future)
>
> Along those lines, it might be worth having a review in six months or
> so to see which of the editors and processes have been effective, and
> which ones haven't, and see if there's anything worth changing further
> to increase the wins and diminish the losses. Could be worth making
> something like that a regular thing (once a year?); for the Debian
> Technical Committee, we had somewhat similar problems with inactivity
> and a lack of renewal, which (IMO) was fixed in a big part just by
> having a policy of saying "okay, longest serving member gets booted,
> remaining folks should invite someone new" once a year.
>
> Anyway, it's easy to quibble about what the best process might be,
> but actual results are more important, so thanks again Ava!
>
> Cheers,
> aj
>
>

-- 
You received this message because you are subscribed to the Google Groups "Bitcoin Development Mailing List" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [email-masked].
To view this discussion on the web visit https://groups.google.com/d/msgid/bitcoindev/a32f9994-059d-44dd-83c7-c3bb732888adn%40googlegroups.com.